#ifndef _amplitude_h_
#define _amplitude_h_

#include "ygSoundServer.h"


class amplitude : public ygSoundServer
    {
    public:
     amplitude(const char*,bool master=true);
     virtual ~amplitude(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
    private:
     struct _amplitudePrivateData * p_;
    };

#endif
