#ifndef _clipPlane_h_
#define _clipPlane_h_

#include "ygNode.h"

typedef struct _clipData clipData_t;

class clipPlane : public ygNode
    {
    public:
     static int clipPreDraw(pfTraverser*,void *data);
     static int clipPostDraw(pfTraverser*,void *data);
     clipPlane(const char* name,bool master=true);
     ~clipPlane(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     void setClipNode(const ygString&);
    private:
     static int planeNumber;
     ygString clipName;
     ygNode* clipNode;
     clipData_t* data_;
    };


#endif
