#ifndef _textureTransform_h_
#define _textureTransform_h_

#include <Performer/pf/pfGeode.h>
#include <Performer/pr/pfGeoState.h>
#include "ygNode.h"

class textureTransform : public ygNode
    {
    public:
     textureTransform(const char* name,bool master=true);
     ~textureTransform(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     void setMatrix(void);
     pfGeoState* gstate;
     pfMatrix* matrix;
     pfVec2 startPosition;
     pfVec2 position;
     pfVec2 orientation;
     pfVec2 size;
     void setTexMat(pfNode*);
     void setGeosetTexMat(pfGeoSet*);
    };

#endif
