#ifndef _ygEventMessages_h_
#define _ygEventMessages_h_

#include "ygString.h"
class ygNode;

typedef std::vector<ygString> messageList;

class ygEventMessages
    {
    public:
     ygEventMessages(void);
     ~ygEventMessages(void);
         void setNode(ygNode*);
         void clear(void);
         void add(const ygString& event,const ygString& message);
         void respondToEvent(ygEvent* event) const;
         const std::map<ygString,messageList>& getEvents(void);
    private:
     struct _ygEventMessagesPrivateData * p_;
     ygNode *ygnode_;
    };

#endif
