#ifndef _ygSelector_h_
#define _ygSelector_h_

#include "ygNode.h"


class ygSelector : public ygNode
    {
    public:
     ygSelector(const char*,bool master=true);
     virtual ~ygSelector(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void appTraverse(void);
         void select(const ygString&);
         void select(int);
         ygNode* selected(void) const;
         int selectedNum(void) const;
    private:
     struct _ygSelectorPrivateData *p_;
    };


extern "C" ygNode* construct_ygSelector(const char*,bool);

#endif
