#ifndef _ygUser_h_
#define _ygUser_h_

#include "ygTransform.h"
class ygNavigator;

class ygUser : public ygTransform
    {
    public:
     ygUser(const char*,bool master=true);
     virtual ~ygUser(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
          void setNavigator(ygNavigator*);
          ygNavigator* navigator(void) const;
          ygNode* head(void) const;
          int numWands(void) const;
          ygNode* wand(int) const;
          int numSensors(void) const;
          ygNode* sensor(int) const;
         void setHead(ygNode*);
         void addWand(ygNode*);
         void addSensor(ygNode*,int);
         void hideLocal(bool hide=true);
         void setCAVETracking(bool use=true);
         bool isCAVETracking(void);
     static ygUser* findUserAncestor(ygNode *);
    private:
     struct _ygUserPrivateData *p_;
         void storeWandKey(void);
         void storeHeadKey(void);
         void storeSensorKey(void);
    };


extern "C" ygNode* construct_ygUser(const char*,bool);

#endif
